export interface GeneratedAnalyticsMetadata {
    action: string;
    detail: Record<string, string>;
    contexts: Array<GeneratedAnalyticsMetadataComponentContext>;
}
interface GeneratedAnalyticsMetadataComponent {
    name: string;
    label: string;
    instanceIdentifier?: string;
    properties?: Record<string, string>;
    innerContext?: Record<string, string>;
}
interface GeneratedAnalyticsMetadataComponentContext {
    type: 'component';
    detail: GeneratedAnalyticsMetadataComponent;
}
export interface LabelIdentifier {
    selector?: string | Array<string>;
    root?: 'component' | 'self' | 'body';
    rootSelector?: string;
}
export interface GeneratedAnalyticsMetadataFragment extends Omit<Partial<GeneratedAnalyticsMetadata>, 'detail'> {
    detail?: Record<string, string | LabelIdentifier>;
    component?: Omit<Partial<GeneratedAnalyticsMetadataComponent>, 'innerContext' | 'label'> & {
        label?: string | LabelIdentifier;
        innerContext?: Record<string, string | LabelIdentifier>;
    };
}
export {};
