// Copyright Amazon.com, Inc. or its affiliates. All Rights Reserved.
// SPDX-License-Identifier: Apache-2.0
export { getRawAnalyticsMetadata } from './testing-utils';
export { getComponentsTree } from './page-scanner-utils';
import { METADATA_DATA_ATTRIBUTE } from './attributes';
import { findLogicalParent } from './dom-utils';
import { mergeMetadata, processMetadata } from './metadata-utils';
export const getGeneratedAnalyticsMetadata = (target) => {
    let metadata = {};
    let currentNode = target;
    while (currentNode) {
        try {
            const currentMetadataString = currentNode.dataset[METADATA_DATA_ATTRIBUTE];
            if (currentMetadataString) {
                const currentMetadata = JSON.parse(currentMetadataString);
                metadata = mergeMetadata(metadata, processMetadata(currentNode, currentMetadata));
            }
        }
        catch (ex) {
            /* empty */
        }
        finally {
            currentNode = findLogicalParent(currentNode);
        }
    }
    return metadata;
};
